#323 closed defect (fixed)

Bug in the mbus / i2c state machine for the Coldfire mcf5206

Reported by: paulw Owned by: Victor V. Vengerov
Priority: normal Milestone: 2
Component: unspecified Version: 4.5
Severity: major Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

There is a bug in the state machine for the I2C driver. When sending the first address byte / cmd the state of the state machine is set, and then the byte in sent, if an MBUS interrupt occurs BEFORE the code has set the state, then the state machine locks up.

Release:
RTEMS-4.5

Environment:
Cygwin / Coldfire 5307

How-To-Repeat:
Send continous messages using the I2C bus

Attachments (1)

mcfmbus.c (18.9 KB) - added by paulw on Dec 3, 2006 at 1:31:13 PM.
mcfmbus.c

Download all attachments as: .zip

Change History (4)

comment:1 Changed on Dec 2, 2002 at 5:01:14 PM by Victor V. Vengerov

Owner: changed from joel to Victor V. Vengerov

comment:2 Changed on Jan 3, 2003 at 4:07:43 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: working->closed
State-Changed-Why: Patch applied.

Changed on Dec 3, 2006 at 1:31:13 PM by paulw

Attachment: mcfmbus.c added

mcfmbus.c

comment:3 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.